Package org.drinkless.tdlib

# Class TdApi.LanguagePackInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LanguagePackInfo

Enclosing class:
  `TdApi`

public static class TdApi.LanguagePackInfo extends TdApi.Object
Contains information about a language pack.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `baseLanguagePackId`
  Identifier of a base language pack; may be empty.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique language pack identifier.
  `boolean`
  `isBeta`
  True, if the language pack is a beta language pack.
  `boolean`
  `isInstalled`
  True, if the language pack is installed by the current user.
  `boolean`
  `isOfficial`
  True, if the language pack is official.
  `boolean`
  `isRtl`
  True, if the language pack strings are RTL.
  `int`
  `localStringCount`
  Total number of non-deleted strings from the language pack available locally.
  `String`
  `name`
  Language name.
  `String`
  `nativeName`
  Name of the language in that language.
  `String`
  `pluralCode`
  A language code to be used to apply plural forms.
  `int`
  `totalStringCount`
  Total number of non-deleted strings from the language pack.
  `int`
  `translatedStringCount`
  Total number of translated strings from the language pack.
  `String`
  `translationUrl`
  Link to language translation interface; empty for custom local language packs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguagePackInfo()`
  Contains information about a language pack.
  `LanguagePackInfo(String id, String baseLanguagePackId, String name, String nativeName, String pluralCode, boolean isOfficial, boolean isRtl, boolean isBeta, boolean isInstalled, int totalStringCount, int translatedStringCount, int localStringCount, String translationUrl)`
  Contains information about a language pack.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique language pack identifier.

  - ### baseLanguagePackId

    public String baseLanguagePackId
    Identifier of a base language pack; may be empty. If a string is missed in the language pack, then it must be fetched from base language pack. Unsupported in custom language packs.

  - ### name

    public String name
    Language name.

  - ### nativeName

    public String nativeName
    Name of the language in that language.

  - ### pluralCode

    public String pluralCode
    A language code to be used to apply plural forms. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more information.

  - ### isOfficial

    public boolean isOfficial
    True, if the language pack is official.

  - ### isRtl

    public boolean isRtl
    True, if the language pack strings are RTL.

  - ### isBeta

    public boolean isBeta
    True, if the language pack is a beta language pack.

  - ### isInstalled

    public boolean isInstalled
    True, if the language pack is installed by the current user.

  - ### totalStringCount

    public int totalStringCount
    Total number of non-deleted strings from the language pack.

  - ### translatedStringCount

    public int translatedStringCount
    Total number of translated strings from the language pack.

  - ### localStringCount

    public int localStringCount
    Total number of non-deleted strings from the language pack available locally.

  - ### translationUrl

    public String translationUrl
    Link to language translation interface; empty for custom local language packs.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LanguagePackInfo

    public LanguagePackInfo()
    Contains information about a language pack.

  - ### LanguagePackInfo

    public LanguagePackInfo(String id, String baseLanguagePackId, String name, String nativeName, String pluralCode, boolean isOfficial, boolean isRtl, boolean isBeta, boolean isInstalled, int totalStringCount, int translatedStringCount, int localStringCount, String translationUrl)
    Contains information about a language pack.
    Parameters:
      `id` - Unique language pack identifier.
      `baseLanguagePackId` - Identifier of a base language pack; may be empty. If a string is missed in the language pack, then it must be fetched from base language pack. Unsupported in custom language packs.
      `name` - Language name.
      `nativeName` - Name of the language in that language.
      `pluralCode` - A language code to be used to apply plural forms. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more information.
      `isOfficial` - True, if the language pack is official.
      `isRtl` - True, if the language pack strings are RTL.
      `isBeta` - True, if the language pack is a beta language pack.
      `isInstalled` - True, if the language pack is installed by the current user.
      `totalStringCount` - Total number of non-deleted strings from the language pack.
      `translatedStringCount` - Total number of translated strings from the language pack.
      `localStringCount` - Total number of non-deleted strings from the language pack available locally.
      `translationUrl` - Link to language translation interface; empty for custom local language packs.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR